Wii Fit Plus throws Error #001

Discussion in 'Wii - Backup Loaders' started by sYndrome13, Oct 3, 2009.

Oct 3, 2009
  1. sYndrome13
    OP

    Member sYndrome13 GBAtemp Regular

    Joined:
    Nov 28, 2008
    Messages:
    134
    Country:
    United States
    I'm running system menu 3.2U and cIOS v13. I have Bootmii beta 4 installed as boot2.

    When using either NeoGamma R4 RC4 to load Wii Fit Plus, the Wii throws the following error:

    Suggestions?

    I haven't upgraded to cIOS 14 and NeoGamma R7 yet because, as they say, "If it ain't broke, don't fix it." But if Wii Fit Plus loads using NeoGamma R7, cIOS 14, and system menu 3.2U, I'll seriously consider upgrading.
     
  2. sYndrome13
    OP

    Member sYndrome13 GBAtemp Regular

    Joined:
    Nov 28, 2008
    Messages:
    134
    Country:
    United States
    Updating to cIOS 14 and using NeoGamma R7 resolved the Error #001 issue.
     
  3. Cza102282

    Newcomer Cza102282 Member

    Joined:
    Nov 13, 2008
    Messages:
    17
    Country:
    United States
    Thanks man. I will try upgrading as well.
     
  4. WiiPower

    Member WiiPower GBAtemp Guru

    Joined:
    Oct 17, 2008
    Messages:
    8,165
    Country:
    Germany
    Cool, it looks like they are using a modified code for 001 now. Thanks for the info.

    Explanation why it works with cIOSrev14:
    Well, 001 error is a test what the IOS/drive returns when it tries to load something behind the real data, using an offset outside of the disc. Old modchips and most cIOS versions can't proplerly detect where the data ends and return the wrong error code(or not an error at all) here. If that happens you get 001 error.
    cIOSrev14 can detect where the data ends and returns the correct values when the game checks for 001 error.(which is why cIOSrev14 is my favorite as you will understand now) cIOSrev7 works similar, it always restricts the reading to DVD5.(that's why DL don't work). The other cIOS patch the main.dol of the game for 001 error, and if the game has the same protection, but uses different code for it, the cIOS fails.

    [please quote this in other Wii Fit Plus 001 error threads]



    PS:(don't quote this) Is the game single layer as i assume?
     
  5. hiijack51

    Newcomer hiijack51 Newbie

    Joined:
    Oct 4, 2009
    Messages:
    2
    Country:
    United States
    I upgraded from neogamma R6 cios 13 to neogamma R7 cios 14 but am still getting #001 when trying WF+
    Odd thing is games that worked under neogamma R6 are now giving me #001 errors under neogamma R7 as well.

    Like the first poster mentions, I can't find the 001 code in any of the three main.dol's with generic wii patcher.

    any ideas?
     
  6. KiiWii

    Member KiiWii GBAtemp Psycho!

    Joined:
    Nov 17, 2008
    Messages:
    3,177
    Country:
    United Kingdom
  7. WiiPower

    Member WiiPower GBAtemp Guru

    Joined:
    Oct 17, 2008
    Messages:
    8,165
    Country:
    Germany
    I doubt that Gecko OS 1.9.2 fixes the problem, but it's worth a try.
     
  8. beo

    Newcomer beo Newbie

    Joined:
    Sep 15, 2009
    Messages:
    1
    Country:
    United States
    It doesn't for softmods [​IMG]
     
  9. KiiWii

    Member KiiWii GBAtemp Psycho!

    Joined:
    Nov 17, 2008
    Messages:
    3,177
    Country:
    United Kingdom
    im running 4.1E with cios rev 10 (on the wii i have here) and it was 001 erroring in neogamma r6... so i tried gecko 1.9.2 and it works.

    NO CHIP
     
  10. hiijack51

    Newcomer hiijack51 Newbie

    Joined:
    Oct 4, 2009
    Messages:
    2
    Country:
    United States
    thank you for clarifying that, wiipower. I believe that is indeed my issue.
     
  11. WiiPower

    Member WiiPower GBAtemp Guru

    Joined:
    Oct 17, 2008
    Messages:
    8,165
    Country:
    Germany
    Get cIOSrev7, it should fix all 001 errors on discs.
     
  12. bnm81002

    Member bnm81002 GBAtemp Advanced Fan

    Joined:
    May 22, 2008
    Messages:
    810
    Location:
    New York
    Country:
    United States
    I have a different problem with Wii Fit Plus, the games loads up fine on the USB Loader but when I tried using it on a burned DVD it loads into a black screen but it does load up via Gecko OS 1.9.2, my Wii is NTSC-U with 3.2U, Wiikey(1.9s), cIOS rev 14, what can the problem be? thanks
     
  13. doyama

    Member doyama GBAtemp Maniac

    Joined:
    Nov 30, 2006
    Messages:
    1,288
    Country:
    United States
    For an additional data point (and more confusion) I have a Wii 3.4U running a WiiKey 1.0. Using Gecko OS 1.9.2 I got it to recognize the disc, without installing whatever update is on the disc, and go through enough of the game to install the Wii Fit Plus Channel. After that I've just been using USB Loader GX. I don't have cioscorp installed.
     
  14. shadowtroop

    Newcomer shadowtroop Advanced Member

    Joined:
    Jul 19, 2009
    Messages:
    84
    Country:
    United States
    I wanna be able to use Wii Fit Plus, but I don't want to get rid of DL support. Help? Perhaps I should try switching between 222/223 and 249...
     
  15. erolz

    Member erolz GBAtemp Fan

    Joined:
    Jul 22, 2008
    Messages:
    448
    Country:
    Belgium
    Hi,

    i am using an old version of the USB loader (i think its 1.5_cfg)
    I'm running system menu 4.0U and cIOS v14 and Hermes' IOS222/223 with an external Seagate HD.

    When I load Wii Fit Plus from the USB HD, the Wii throws the following error:

    Error #001,
    unauthorized device has been detected.


    Will this game work with a new version of the loader?
    I have tried to use a new version (replaced the dol file) but then the loader wont recognize my USB HD :-(

    here's my usb-loader/config:

    device = usb
    background = ultimate.png
    wbackground = ultimate_wide.png
    layout = ultimate3
    buttons = options_B
    covers = 1
    hide_footer = 1
    colors = mono
    widescreen = 0
    music = 0
    covers_path = sd:/usb-loader/covers
    device = usb
    cover_style = standard
    covers_size = 160, 225
    gui = 1
    gui_transition = scroll
    confirm_start= 0
    ios = 223-mload
    contry_patch = 1
    fix_002 = 1
    block_ios_reload = 1
    alt_dol = 0


    Any suggestions?
     
  16. WiiPower

    Member WiiPower GBAtemp Guru

    Joined:
    Oct 17, 2008
    Messages:
    8,165
    Country:
    Germany
    Looks like you are using IOS223:
    "ios = 223-mload"

    Do you have the latest version of Hermes' cIOS installed? If yes, that's very very bad, as it tells us that Hermes is not using a good 001 method like cIOSrev14.

    If you use cIOSrev14, the game should work, but i agree, that it's not a real solution.
     
  17. erolz

    Member erolz GBAtemp Fan

    Joined:
    Jul 22, 2008
    Messages:
    448
    Country:
    Belgium
    i just tried the v44 version of the cfg usb loader with ciosrev14. It works now! (still using ios = 223-mload btw)
     

Share This Page